Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.extractor
Class Word6Extractor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIOLE2TextExtractor
              org.apache.poi.hwpf.extractor.Word6Extractor

    public final class Word6Extractor

extends org.apache.poi.POIOLE2TextExtractor

Class to extract the text from old (Word 6 / Word 95) Word Documents. This should only be used on the older files, for most uses you should call `WordExtractor` which deals properly with HWPF.

Author:
  Nick Burch

Constructor Summary
`Word6Extractor(org.apache.poi.poifs.filesystem.DirectoryNode dir)`
`Word6Extractor(org.apache.poi.poifs.filesystem.DirectoryNode dir, org.apache.poi.poifs.filesystem.POIFSFileSystem fs)` Deprecated. Use `Word6Extractor(DirectoryNode)` instead
`Word6Extractor(HWPFOldDocument doc)` Create a new Word Extractor
`Word6Extractor(java.io.InputStream is)` Create a new Word Extractor
`Word6Extractor(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)` Create a new Word Extractor

Method Summary
`java.lang.String[]` | `getParagraphText()` Get the text from the word file, as an array with one String per paragraph
`java.lang.String` | `getText()`

Methods inherited from class org.apache.poi.POIOLE2TextExtractor
`getDocSummaryInformation, getFileSystem, getMetadataTextExtractor, getRoot, getSummaryInformation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Word6Extractor

    public Word6Extractor(java.io.InputStream is)
                   throws java.io.IOException

  Create a new Word Extractor

  Parameters:
    `is` - InputStream containing the word file
  Throws:
    `java.io.IOException`

### Word6Extractor

    public Word6Extractor(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)
                   throws java.io.IOException

  Create a new Word Extractor

  Parameters:
    `fs` - POIFSFileSystem containing the word file
  Throws:
    `java.io.IOException`

### Word6Extractor

    public Word6Extractor(org.apache.poi.poifs.filesystem.DirectoryNode dir,
                          org.apache.poi.poifs.filesystem.POIFSFileSystem fs)
                   throws java.io.IOException

  Deprecated. Use `Word6Extractor(DirectoryNode)` instead

  Throws:
    `java.io.IOException`

### Word6Extractor

    public Word6Extractor(org.apache.poi.poifs.filesystem.DirectoryNode dir)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

### Word6Extractor

    public Word6Extractor(HWPFOldDocument doc)

  Create a new Word Extractor

  Parameters:
    `doc` - The HWPFOldDocument to extract from

Method Detail

### getParagraphText

    public java.lang.String[] getParagraphText()

  Get the text from the word file, as an array with one String per paragraph

### getText

    public java.lang.String getText()

  Specified by:
    `getText` in class `org.apache.poi.POITextExtractor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD